## mingw-w64-matio-1.5.27-1.src.tar.zst

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.7)

if(POLICY CMP0074)
    cmake_policy(SET CMP0074 NEW)
endif()

project(matio
    VERSION 1.5.27
    LANGUAGES C CXX
)

string(TOUPPER ${PROJECT_NAME} PROJECT_NAME_UPPER)
set(matio_PLATFORM ${CMAKE_SYSTEM_PROCESSOR}-pc-${CMAKE_SYSTEM_NAME})
set(matio_PACKAGE "${PROJECT_NAME}")
set(matio_PACKAGE_NAME "${PROJECT_NAME_UPPER}")
set(matio_PACKAGE_BUGREPORT "t-beu@users.sourceforge.net")
set(matio_PACKAGE_STRING "${PROJECT_NAME_UPPER} ${matio_VERSION}")
set(matio_PACKAGE_TARNAME "${PROJECT_NAME}")
set(matio_PACKAGE_URL "https://sourceforge.net/projects/matio")
set(matio_LIB_VERSIONINFO "13:0:0")

set_property(GLOBAL PROPERTY USE_FOLDERS ON)

# Installation options
include(GNUInstallDirs)

include(cmake/options.cmake)
include(cmake/conan.cmake)
include(cmake/thirdParties.cmake)
include(cmake/staticAnalyzers.cmake)
include(cmake/compilerOptions.cmake)
include(cmake/getopt.cmake)
include(cmake/src.cmake)
include(cmake/tools.cmake)
include(cmake/test.cmake)

=== PKGBUILD ===
# Maintainer: Mario Emmenlauer <memmenlauer@biodataanalysis.de>

_realname=matio
pkgbase=mingw-w64-${_realname}
pkgname="${MINGW_PACKAGE_PREFIX}-${_realname}"
pkgver=1.5.27
pkgrel=1
pkgdesc="C library for reading and writing MATLAB MAT files (mingw-w64)"
arch=('any')
mingw_arch=('mingw64' 'ucrt64' 'clang64' 'clangarm64')
msys2_references=(
  'archlinux: libmatio'
  "cpe: cpe:/a:matio_project:matio"
)
msys2_repository_url='https://github.com/tbeu/matio/'
url='https://sourceforge.net/projects/matio/'
license=('spdx:BSD-2-Clause')
depends=("${MINGW_PACKAGE_PREFIX}-gcc-libs"
         "${MINGW_PACKAGE_PREFIX}-zlib"
         "${MINGW_PACKAGE_PREFIX}-hdf5")
makedepends=("${MINGW_PACKAGE_PREFIX}-cc" "${MINGW_PACKAGE_PREFIX}-autotools")
source=(https://github.com/tbeu/matio/releases/download/v${pkgver}/matio-${pkgver}.tar.gz)
sha256sums=('0a6aa00b18c4512b63a8d27906b079c8c6ed41d4b2844f7a4ae598e18d22d3b3')

prepare() {
  cd "${srcdir}/${_realname}-${pkgver}"
  # autoreconf to get updated libtool files for clang
  autoreconf -fiv
}

build() {
  [[ -d "${srcdir}/build-${MSYSTEM}" ]] && rm -rf "${srcdir}/build-${MSYSTEM}"
  cp -rf "${_realname}-${pkgver}" "build-${MSYSTEM}"
  cd "${srcdir}/build-${MSYSTEM}"

  ./configure \
    --prefix=${MINGW_PREFIX} \
    --build=${MINGW_CHOST} \
    --host=${MINGW_CHOST} \
    --target=${MINGW_CHOST} \
    --enable-shared \
    --with-hdf5

  make
}

check() {
  cd "${srcdir}/build-${MSYSTEM}"

  # it is not clear why the following workaround is needed to
  # execute tests, but after touching the testsuite.at, the
  # tests work, when otherwise they fail:
  touch ./test/testsuite.at

  make check || warning "Tests failed"
}

package() {
  cd "${srcdir}/build-${MSYSTEM}"
  make DESTDIR="${pkgdir}" -j1 install

  mkdir -p "${pkgdir}${MINGW_PREFIX}/share/licenses/${_realname}"
  install -Dm644 "${srcdir}/${_realname}-${pkgver}/COPYING" "${pkgdir}${MINGW_PREFIX}/share/licenses/${_realname}/"
}
